org.apache.olingo.commons.api.edm.provider.annotation

## Class CsdlDynamicExpression

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression
    - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression

- Direct Known Subclasses:
    CsdlAnnotationPath, CsdlApply, CsdlCast, CsdlCollection, CsdlIf, CsdlIsOf, CsdlLabeledElement, CsdlLabeledElementReference, CsdlLogicalOrComparisonExpression, CsdlNavigationPropertyPath, CsdlNull, CsdlPath, CsdlPropertyPath, CsdlRecord, CsdlUrlRef

      public abstract class CsdlDynamicExpression
      extends CsdlExpression

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlDynamicExpression()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CsdlAnnotationPath` | `asAnnotationPath()` Casts the expression to a `CsdlAnnotationPath` expression
    `CsdlApply` | `asApply()` Casts the expression to a `CsdlApply` expression
    `CsdlCast` | `asCast()` Casts the expression to a `CsdlCast` expression
    `CsdlCollection` | `asCollection()` Casts the expression to a `Collection` expression
    `CsdlIf` | `asIf()` Casts the expression to a `CsdlIf` expression
    `CsdlIsOf` | `asIsOf()` Casts the expression to a `CsdlIsOf` expression
    `CsdlLabeledElement` | `asLabeledElement()` Casts the expression to a `CsdlLabeledElement` expression
    `CsdlLabeledElementReference` | `asLabeledElementReference()` Casts the expression to a `CsdlLabeledElementReference` expression
    `CsdlLogicalOrComparisonExpression` | `asLogicalOrComparison()` Casts the expression to a `CsdlLogicalOrComparisonExpression` expression
    `CsdlNavigationPropertyPath` | `asNavigationPropertyPath()` Casts the expression to a `CsdlNavigationPropertyPath` expression
    `CsdlNull` | `asNull()` Casts the expression to a `CsdlNull` expression
    `CsdlPath` | `asPath()` Casts the expression to a `CsdlPath` expression
    `CsdlPropertyPath` | `asPropertyPath()` Casts the expression to a `CsdlPropertyPath` expression
    `CsdlRecord` | `asRecord()` Casts the expression to a `CsdlRecord` expression
    `CsdlUrlRef` | `asUrlRef()` Casts the expression to a `CsdlUrlRef` expression
    `boolean` | `isAnnotationPath()` Returns true if the expression is a edm:AnnotationPath expression
    `boolean` | `isApply()` Returns true if the expression is a edm:Apply expression
    `boolean` | `isCast()` Returns true if the expression is a edm:Cast expression
    `boolean` | `isCollection()` Returns true if the expression is a edm:Collection expression
    `boolean` | `isIf()` Returns true if the expression is a edm:If expression
    `boolean` | `isIsOf()` Returns true if the expression is a edm:IsOf expression
    `boolean` | `isLabeledElement()` Returns true if the expression is a edm:LabeledElement expression
    `boolean` | `isLabeledElementReference()` Returns true if the expression is a edm:LabeledElementReference expression
    `boolean` | `isLogicalOrComparison()` Returns true if the expression is a logical expression
    `boolean` | `isNavigationPropertyPath()` Returns true if the expression is a edm:NavigationPropertyPath expression
    `boolean` | `isNull()` Returns true if the expression is a edm:Null expression
    `boolean` | `isPath()` Returns true if the expression is a edm:Path expression
    `boolean` | `isPropertyPath()` Returns true if the expression is a edm:PropertyPath expression
    `boolean` | `isRecord()` Returns true if the expression is a edm:Record expression
    `boolean` | `isUrlRef()` Returns true if the expression is a edm:UrlRef expression

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression

      `asConstant, asDynamic, isConstant, isDynamic`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlDynamicExpression

          public CsdlDynamicExpression()

  - ### Method Detail

    - #### isLogicalOrComparison

          public boolean isLogicalOrComparison()

      Returns true if the expression is a logical expression
      Returns:
        true if the expression is a logical expression

    - #### asLogicalOrComparison

          public CsdlLogicalOrComparisonExpression asLogicalOrComparison()

      Casts the expression to a `CsdlLogicalOrComparisonExpression` expression
      Returns:
        CsdlLogicalExpression expression

    - #### isAnnotationPath

          public boolean isAnnotationPath()

      Returns true if the expression is a edm:AnnotationPath expression
      Returns:
        true if the expression is a edm:AnnotationPath expression

    - #### asAnnotationPath

          public CsdlAnnotationPath asAnnotationPath()

      Casts the expression to a `CsdlAnnotationPath` expression
      Returns:
        AnnotationPath expression

    - #### isApply

          public boolean isApply()

      Returns true if the expression is a edm:Apply expression
      Returns:
        true if the expression is a edm:Apply expression

    - #### asApply

          public CsdlApply asApply()

      Casts the expression to a `CsdlApply` expression
      Returns:
        Apply expression

    - #### isCast

          public boolean isCast()

      Returns true if the expression is a edm:Cast expression
      Returns:
        true if the expression is a edm:Cast expression

    - #### asCast

          public CsdlCast asCast()

      Casts the expression to a `CsdlCast` expression
      Returns:
        Cast expression

    - #### isCollection

          public boolean isCollection()

      Returns true if the expression is a edm:Collection expression
      Returns:
        true if the expression is a edm:Collection expression

    - #### asCollection

          public CsdlCollection asCollection()

      Casts the expression to a `Collection` expression
      Returns:
        Collection expression

    - #### isIf

          public boolean isIf()

      Returns true if the expression is a edm:If expression
      Returns:
        true if the expression is a edm:If expression

    - #### asIf

          public CsdlIf asIf()

      Casts the expression to a `CsdlIf` expression
      Returns:
        If expression

    - #### isIsOf

          public boolean isIsOf()

      Returns true if the expression is a edm:IsOf expression
      Returns:
        true if the expression is a edm:IsOf expression

    - #### asIsOf

          public CsdlIsOf asIsOf()

      Casts the expression to a `CsdlIsOf` expression
      Returns:
        IsOf expression

    - #### isLabeledElement

          public boolean isLabeledElement()

      Returns true if the expression is a edm:LabeledElement expression
      Returns:
        true if the expression is a edm:LabeledElement expression

    - #### asLabeledElement

          public CsdlLabeledElement asLabeledElement()

      Casts the expression to a `CsdlLabeledElement` expression
      Returns:
        LabeledElement expression

    - #### isLabeledElementReference

          public boolean isLabeledElementReference()

      Returns true if the expression is a edm:LabeledElementReference expression
      Returns:
        true if the expression is a edm:LabeledElementReference expression

    - #### asLabeledElementReference

          public CsdlLabeledElementReference asLabeledElementReference()

      Casts the expression to a `CsdlLabeledElementReference` expression
      Returns:
        LabeledElementReference expression

    - #### isNull

          public boolean isNull()

      Returns true if the expression is a edm:Null expression
      Returns:
        true if the expression is a edm:Null expression

    - #### asNull

          public CsdlNull asNull()

      Casts the expression to a `CsdlNull` expression
      Returns:
        Null expression

    - #### isNavigationPropertyPath

          public boolean isNavigationPropertyPath()

      Returns true if the expression is a edm:NavigationPropertyPath expression
      Returns:
        true if the expression is a edm:NavigationPropertyPath expression

    - #### asNavigationPropertyPath

          public CsdlNavigationPropertyPath asNavigationPropertyPath()

      Casts the expression to a `CsdlNavigationPropertyPath` expression
      Returns:
        NavigationPropertyPath expression

    - #### isPath

          public boolean isPath()

      Returns true if the expression is a edm:Path expression
      Returns:
        true if the expression is a edm:Path expression

    - #### asPath

          public CsdlPath asPath()

      Casts the expression to a `CsdlPath` expression
      Returns:
        Path expression

    - #### isPropertyPath

          public boolean isPropertyPath()

      Returns true if the expression is a edm:PropertyPath expression
      Returns:
        true if the expression is a edm:PropertyPath expression

    - #### asPropertyPath

          public CsdlPropertyPath asPropertyPath()

      Casts the expression to a `CsdlPropertyPath` expression
      Returns:
        PropertyPath expression

    - #### isRecord

          public boolean isRecord()

      Returns true if the expression is a edm:Record expression
      Returns:
        true if the expression is a edm:Record expression

    - #### asRecord

          public CsdlRecord asRecord()

      Casts the expression to a `CsdlRecord` expression
      Returns:
        Record expression

    - #### isUrlRef

          public boolean isUrlRef()

      Returns true if the expression is a edm:UrlRef expression
      Returns:
        true if the expression is a edm:UrlRef expression

    - #### asUrlRef

          public CsdlUrlRef asUrlRef()

      Casts the expression to a `CsdlUrlRef` expression
      Returns:
        UrlRef expression

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.